- Home
- API Enriched
- Network
- operate
- Show BGP Routes.
Show BGP Routes.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/operate/namespaces/example/sites/example/ver/bgp_routes';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/operate/namespaces/example/sites/example/ver/bgp_routes \ --header 'Authorization: <Authorization>'Show routes exported / imported via BGP.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace Namespace for which the request is sent (system)
Site Name Name of the site.
Responses
Section titled “Responses”A successful response.
All BGP routes per instance per table from all ver instances in the site.
object
Routes per instance per table from each ver instance.
All BGP routes per instance per table from a ver instance.
object
Host name of VER instance.
Routes per instance per table.
BGP tables per instance.
object
Name of the routing instance.
Routes per table.
A route table.
object
List of Routes exported via BGP.
A BGP route.
object
All the route paths.
A BGP path.
object
AS Path attribute.
Local preference attribute.
Med attribute.
Nexthops of the path.
Peer from which the path is received.
Prefix / Plen of the route.
List of Routes imported via BGP.
A BGP route.
object
All the route paths.
A BGP path.
object
AS Path attribute.
Local preference attribute.
Med attribute.
Nexthops of the path.
Peer from which the path is received.
Prefix / Plen of the route.
Name of the table.
Examplegenerated
{ "ver": [ { "name": "example", "ri_table": [ { "routing_instance": "example", "rt_table": [ { "exported": [ { "path": [ { "as_path": "example", "local_pref": 1, "med": 1, "nh": [ "example" ], "peer": "example" } ], "subnet": "example" } ], "imported": [ { "path": [ { "as_path": "example", "local_pref": 1, "med": 1, "nh": [ "example" ], "peer": "example" } ], "subnet": "example" } ], "name": "example" } ] } ] } ]}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example